v.spag(1)	       Grass User's Manual		v.spag(1)



NNAAMMEE
       vv..ssppaagg	- Process spaghetti-digitized binary vector file.
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..ssppaagg
       vv..ssppaagg hheellpp
       vv..ssppaagg [[--ii]] mmaapp==_n_a_m_e [tthhrreesshhoolldd==_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       This program will fix vector data that were not	digitized
       in  correct GRASS vector format.  It will create a node at
       every line crossing, and will delete all hanging lines  of
       length less than the specified threshold.

OOPPTTIIOONNSS
   FFllaagg::
       --ii     Only do identical line removal pass.

       --ss     Snap nodes.

       --pp     Prompt user for threshold value.


   PPaarraammeetteerrss::
       mmaapp==_n_a_m_e
	      Name of the binary vector file to be fixed.

       tthhrreesshhoolldd==_v_a_l_u_e
	      Node-snapping threshold value.


NNOOTTEESS
       The  user  must run _v_._s_u_p_p_o_r_t after running _v_._s_p_a_g to cor-
       rect the topology (_d_i_g___p_l_u_s) file.


       _v_._s_p_a_g generally deletes many lines from the input  vector
       map  layer.  Because deleted lines are not eliminated from
       a vector data (_d_i_g) file, but are only marked as  deleted,
       the  user  will probably wish to run _v_._c_l_e_a_n on the vector
       file after running _v_._s_p_a_g to eliminate any  deleted  lines
       from the _d_i_g file and decrease its size.

BBUUGGSS
       This  program  contains several known bugs.  It will some-
       times get stuck in a loop in which  it  creates	the  same
       line  over and over again.  It will occasionally create an
       incorrect line.	Users are strongly urged to back-up their
       vector  data  files  before  running this alpha version of
       _v_._s_p_a_g.


       Update Note:

       1/93:  For GRASS Release 4.1, the --ii flag has  been  added
       and bugs fixed.	It works better than the 4.0 release.

       6/00:  The --ss and --pp flags has been added.  One reason for
       loop fixed, please report if you get into the  loop  after
       this date.

SSEEEE AALLSSOO
       _v_._c_l_e_a_n_, _v_._d_i_g_i_t_, _v_._p_r_u_n_e_, _v_._r_m_d_u_p_, _v_._s_u_p_p_o_r_t


AAUUTTHHOORR
       Dave  Gerdes,  U.S.Army	Construction Engineering Research
       Laboratory

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0						v.spag(1)
